#include <iostream>

using namespace std; // using std::cout;

int main()
{
    unsigned number;
    cout << "number = "; cin >> number;

    // да се провери дали цифрата 5 се съдържа
    // в записа на едно естествено число
    unsigned lastDigit;
    bool found = false;

    while(number && !found)
    {
        lastDigit = number % 10;

        if(lastDigit == 5)
        {
            found = true;
        }

        number = number / 10;
    }

    cout << boolalpha << found << endl;

    // да се изчисли стойността на израз за дадено реално число х
    // (…(((x + 2)x + 3)x + 4)x +...+ 10)x + 11
    double x;
    cout << "x = "; cin >> x;

    double sum = 1;

    for(unsigned curNumber = 2; curNumber <= 11; ++curNumber)
    {
        sum = sum*x + curNumber;
    }

    cout << "sum = " << sum << endl;

    // Да се напише програма, която намира средно-аритметичното
    // на четните числа в интервала [start,end], start<end.
    // Да се добави проверка за валидност на входните данни.
    unsigned start, end;

    cout << "start = "; cin >> start;
    cout << "end = "; cin >> end;

    if(start > end)
    {
        cout << "Invalid interval. Swap start and end!\n";

        unsigned temp = start;
        start = end;
        end = temp;
    }

    unsigned sum = 0;

    for(unsigned curNumber = start; curNumber <= end; ++curNumber)
    {
        if(curNumber % 2 == 0)
        {
            sum = sum + curNumber;
        }
    }

    cout << "sum = " << sum << endl;

    // сума на нечетните числа в интервала [1; 10]
    unsigned sum = 0;

    for(unsigned curNumber = 1; curNumber <= 10; curNumber += 2)
        sum = sum + curNumber;
}
